/* Copyright (C) 2021 Google, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

#include "freedreno_dev_info.h"

/* Map python to C: */
#define True true
#define False false

static const struct fd_dev_info __info0 = {.chip=2,.gmem_align_w=32,.gmem_align_h=32,.tile_align_w=32,.tile_align_h=32,.tile_max_w=512,.tile_max_h=-1,.num_vsc_pipes=8,.cs_shared_mem_size=0,.num_sp_cores=0,.wave_granularity=2,.fibers_per_sp=0,};
static const struct fd_dev_info __info1 = {.chip=3,.gmem_align_w=32,.gmem_align_h=32,.tile_align_w=32,.tile_align_h=32,.tile_max_w=992,.tile_max_h=480,.num_vsc_pipes=8,.cs_shared_mem_size=32768,.num_sp_cores=0,.wave_granularity=2,.fibers_per_sp=0,};
static const struct fd_dev_info __info2 = {.chip=4,.gmem_align_w=32,.gmem_align_h=32,.tile_align_w=32,.tile_align_h=32,.tile_max_w=1024,.tile_max_h=480,.num_vsc_pipes=8,.cs_shared_mem_size=32768,.num_sp_cores=0,.wave_granularity=2,.fibers_per_sp=0,};
static const struct fd_dev_info __info3 = {.chip=5,.gmem_align_w=64,.gmem_align_h=32,.tile_align_w=64,.tile_align_h=32,.tile_max_w=1024,.tile_max_h=4064,.num_vsc_pipes=16,.cs_shared_mem_size=32768,.num_sp_cores=1,.wave_granularity=2,.fibers_per_sp=1024,};
static const struct fd_dev_info __info4 = {.chip=5,.gmem_align_w=64,.gmem_align_h=32,.tile_align_w=64,.tile_align_h=32,.tile_max_w=1024,.tile_max_h=4064,.num_vsc_pipes=16,.cs_shared_mem_size=32768,.num_sp_cores=2,.wave_granularity=2,.fibers_per_sp=1024,};
static const struct fd_dev_info __info5 = {.chip=5,.gmem_align_w=64,.gmem_align_h=32,.tile_align_w=64,.tile_align_h=32,.tile_max_w=1024,.tile_max_h=4064,.num_vsc_pipes=16,.cs_shared_mem_size=32768,.num_sp_cores=4,.wave_granularity=2,.fibers_per_sp=1024,};
static const struct fd_dev_info __info6 = {.chip=6,.gmem_align_w=16,.gmem_align_h=4,.tile_align_w=32,.tile_align_h=16,.tile_max_w=1024,.tile_max_h=1008,.num_vsc_pipes=16,.cs_shared_mem_size=16384,.num_sp_cores=1,.wave_granularity=1,.fibers_per_sp=2048,.num_ccu=1,.a6xx={.magic={.PC_POWER_CNTL=0,.TPL1_DBG_ECO_CNTL=0,.GRAS_DBG_ECO_CNTL=0,.SP_CHICKEN_BITS=0,.UCHE_CLIENT_PF=4,.PC_MODE_CNTL=15,.SP_DBG_ECO_CNTL=0,.RB_DBG_ECO_CNTL=68157440,.RB_DBG_ECO_CNTL_blit=68157440,.HLSQ_DBG_ECO_CNTL=0,.RB_UNKNOWN_8E01=1,.VPC_DBG_ECO_CNTL=0,.UCHE_UNKNOWN_0E12=268435456,},.has_cp_reg_write=True,.has_8bpp_ubwc=True,.has_gmem_fast_clear=False,.has_hw_multiview=False,.has_fs_tex_prefetch=False,.has_sampler_minmax=False,.sysmem_per_ccu_cache_size=8192,.gmem_ccu_color_cache_fraction=1,.prim_alloc_threshold=7,.vs_max_inputs_count=16,.max_sets=5,.reg_size_vec4=48,.instr_cache_size=64,.concurrent_resolve=False,.indirect_draw_wfm_quirk=True,.depth_bounds_require_depth_test_quirk=True,.supports_double_threadsize=False,},.a7xx={},};
static const struct fd_dev_info __info7 = {.chip=6,.gmem_align_w=16,.gmem_align_h=4,.tile_align_w=32,.tile_align_h=32,.tile_max_w=1024,.tile_max_h=1008,.num_vsc_pipes=32,.cs_shared_mem_size=32768,.num_sp_cores=1,.wave_granularity=2,.fibers_per_sp=2048,.num_ccu=1,.a6xx={.magic={.PC_POWER_CNTL=0,.TPL1_DBG_ECO_CNTL=1081344,.GRAS_DBG_ECO_CNTL=2176,.SP_CHICKEN_BITS=1072,.UCHE_CLIENT_PF=4,.PC_MODE_CNTL=31,.SP_DBG_ECO_CNTL=0,.RB_DBG_ECO_CNTL=68157440,.RB_DBG_ECO_CNTL_blit=68157440,.HLSQ_DBG_ECO_CNTL=524288,.RB_UNKNOWN_8E01=1,.VPC_DBG_ECO_CNTL=0,.UCHE_UNKNOWN_0E12=1,},.has_cp_reg_write=True,.has_8bpp_ubwc=True,.has_gmem_fast_clear=True,.has_hw_multiview=True,.has_fs_tex_prefetch=True,.has_sampler_minmax=True,.sysmem_per_ccu_cache_size=65536,.gmem_ccu_color_cache_fraction=2,.prim_alloc_threshold=7,.vs_max_inputs_count=32,.max_sets=5,.reg_size_vec4=96,.instr_cache_size=64,.concurrent_resolve=False,.indirect_draw_wfm_quirk=True,.depth_bounds_require_depth_test_quirk=True,.supports_double_threadsize=True,},.a7xx={},};
static const struct fd_dev_info __info8 = {.chip=6,.gmem_align_w=16,.gmem_align_h=4,.tile_align_w=32,.tile_align_h=16,.tile_max_w=1024,.tile_max_h=1008,.num_vsc_pipes=32,.cs_shared_mem_size=32768,.num_sp_cores=1,.wave_granularity=2,.fibers_per_sp=2048,.num_ccu=1,.a6xx={.magic={.PC_POWER_CNTL=0,.TPL1_DBG_ECO_CNTL=16809984,.GRAS_DBG_ECO_CNTL=0,.SP_CHICKEN_BITS=1024,.UCHE_CLIENT_PF=4,.PC_MODE_CNTL=31,.SP_DBG_ECO_CNTL=16777216,.RB_DBG_ECO_CNTL=68157440,.RB_DBG_ECO_CNTL_blit=68157440,.HLSQ_DBG_ECO_CNTL=0,.RB_UNKNOWN_8E01=0,.VPC_DBG_ECO_CNTL=33554432,.UCHE_UNKNOWN_0E12=1,},.has_cp_reg_write=True,.has_8bpp_ubwc=True,.has_gmem_fast_clear=True,.has_hw_multiview=True,.has_fs_tex_prefetch=True,.has_sampler_minmax=True,.sysmem_per_ccu_cache_size=65536,.gmem_ccu_color_cache_fraction=2,.prim_alloc_threshold=7,.vs_max_inputs_count=32,.max_sets=5,.reg_size_vec4=96,.instr_cache_size=64,.concurrent_resolve=False,.indirect_draw_wfm_quirk=True,.depth_bounds_require_depth_test_quirk=True,.supports_double_threadsize=True,},.a7xx={},};
static const struct fd_dev_info __info9 = {.chip=6,.gmem_align_w=16,.gmem_align_h=4,.tile_align_w=32,.tile_align_h=16,.tile_max_w=1024,.tile_max_h=1008,.num_vsc_pipes=32,.cs_shared_mem_size=32768,.num_sp_cores=2,.wave_granularity=2,.fibers_per_sp=2048,.num_ccu=2,.a6xx={.magic={.PC_POWER_CNTL=1,.TPL1_DBG_ECO_CNTL=1081344,.GRAS_DBG_ECO_CNTL=2176,.SP_CHICKEN_BITS=5168,.UCHE_CLIENT_PF=4,.PC_MODE_CNTL=31,.SP_DBG_ECO_CNTL=0,.RB_DBG_ECO_CNTL=68157440,.RB_DBG_ECO_CNTL_blit=84934656,.HLSQ_DBG_ECO_CNTL=524288,.RB_UNKNOWN_8E01=1,.VPC_DBG_ECO_CNTL=0,.UCHE_UNKNOWN_0E12=268435457,},.has_cp_reg_write=True,.has_8bpp_ubwc=True,.has_gmem_fast_clear=True,.has_hw_multiview=True,.has_fs_tex_prefetch=True,.has_sampler_minmax=True,.sysmem_per_ccu_cache_size=65536,.gmem_ccu_color_cache_fraction=2,.prim_alloc_threshold=7,.vs_max_inputs_count=32,.max_sets=5,.reg_size_vec4=96,.instr_cache_size=64,.concurrent_resolve=False,.indirect_draw_wfm_quirk=True,.depth_bounds_require_depth_test_quirk=True,.supports_double_threadsize=True,},.a7xx={},};
static const struct fd_dev_info __info10 = {.chip=6,.gmem_align_w=16,.gmem_align_h=4,.tile_align_w=32,.tile_align_h=16,.tile_max_w=1024,.tile_max_h=1008,.num_vsc_pipes=32,.cs_shared_mem_size=32768,.num_sp_cores=2,.wave_granularity=2,.fibers_per_sp=8192,.num_ccu=2,.a6xx={.magic={.PC_POWER_CNTL=1,.TPL1_DBG_ECO_CNTL=32768,.GRAS_DBG_ECO_CNTL=0,.SP_CHICKEN_BITS=1056,.UCHE_CLIENT_PF=4,.PC_MODE_CNTL=31,.SP_DBG_ECO_CNTL=0,.RB_DBG_ECO_CNTL=68157440,.RB_DBG_ECO_CNTL_blit=68157440,.HLSQ_DBG_ECO_CNTL=0,.RB_UNKNOWN_8E01=1,.VPC_DBG_ECO_CNTL=33554432,.UCHE_UNKNOWN_0E12=1,},.has_cp_reg_write=True,.has_8bpp_ubwc=False,.has_gmem_fast_clear=True,.has_hw_multiview=True,.has_fs_tex_prefetch=True,.has_sampler_minmax=True,.sysmem_per_ccu_cache_size=65536,.gmem_ccu_color_cache_fraction=2,.prim_alloc_threshold=7,.vs_max_inputs_count=32,.max_sets=5,.reg_size_vec4=96,.instr_cache_size=64,.supports_multiview_mask=True,.has_z24uint_s8uint=True,.indirect_draw_wfm_quirk=True,.depth_bounds_require_depth_test_quirk=True,.has_dp2acc=False,.supports_double_threadsize=True,},.a7xx={},};
static const struct fd_dev_info __info11 = {.chip=6,.gmem_align_w=16,.gmem_align_h=4,.tile_align_w=64,.tile_align_h=32,.tile_max_w=1024,.tile_max_h=1008,.num_vsc_pipes=32,.cs_shared_mem_size=32768,.num_sp_cores=4,.wave_granularity=2,.fibers_per_sp=8192,.num_ccu=4,.a6xx={.magic={.PC_POWER_CNTL=3,.TPL1_DBG_ECO_CNTL=1081344,.GRAS_DBG_ECO_CNTL=0,.SP_CHICKEN_BITS=5168,.UCHE_CLIENT_PF=4,.PC_MODE_CNTL=31,.SP_DBG_ECO_CNTL=0,.RB_DBG_ECO_CNTL=68157440,.RB_DBG_ECO_CNTL_blit=68157440,.HLSQ_DBG_ECO_CNTL=0,.RB_UNKNOWN_8E01=1,.VPC_DBG_ECO_CNTL=33554432,.UCHE_UNKNOWN_0E12=1,},.has_cp_reg_write=True,.has_8bpp_ubwc=False,.has_gmem_fast_clear=True,.has_hw_multiview=True,.has_fs_tex_prefetch=True,.has_sampler_minmax=True,.sysmem_per_ccu_cache_size=65536,.gmem_ccu_color_cache_fraction=2,.prim_alloc_threshold=7,.vs_max_inputs_count=32,.max_sets=5,.reg_size_vec4=96,.instr_cache_size=64,.supports_multiview_mask=True,.has_z24uint_s8uint=True,.indirect_draw_wfm_quirk=True,.depth_bounds_require_depth_test_quirk=True,.has_dp2acc=False,.supports_double_threadsize=True,},.a7xx={},};
static const struct fd_dev_info __info12 = {.chip=6,.gmem_align_w=16,.gmem_align_h=4,.tile_align_w=96,.tile_align_h=16,.tile_max_w=1024,.tile_max_h=1008,.num_vsc_pipes=32,.cs_shared_mem_size=32768,.num_sp_cores=3,.wave_granularity=2,.fibers_per_sp=4096,.num_ccu=3,.a6xx={.magic={.PC_POWER_CNTL=2,.TPL1_DBG_ECO_CNTL=16809984,.GRAS_DBG_ECO_CNTL=0,.SP_CHICKEN_BITS=5120,.UCHE_CLIENT_PF=4,.PC_MODE_CNTL=31,.SP_DBG_ECO_CNTL=16777216,.RB_DBG_ECO_CNTL=68157440,.RB_DBG_ECO_CNTL_blit=68157440,.HLSQ_DBG_ECO_CNTL=0,.RB_UNKNOWN_8E01=0,.VPC_DBG_ECO_CNTL=33554432,.UCHE_UNKNOWN_0E12=1,},.has_cp_reg_write=True,.has_8bpp_ubwc=False,.has_gmem_fast_clear=True,.has_hw_multiview=True,.has_fs_tex_prefetch=True,.has_sampler_minmax=True,.sysmem_per_ccu_cache_size=65536,.gmem_ccu_color_cache_fraction=2,.prim_alloc_threshold=7,.vs_max_inputs_count=32,.max_sets=5,.reg_size_vec4=64,.instr_cache_size=127,.supports_multiview_mask=True,.has_z24uint_s8uint=True,.tess_use_shared=True,.storage_16bit=True,.has_tex_filter_cubic=True,.has_separate_chroma_filter=True,.has_sample_locations=True,.has_dp2acc=True,.has_lrz_dir_tracking=True,.enable_lrz_fast_clear=True,.lrz_track_quirk=True,.has_per_view_viewport=True,.supports_double_threadsize=True,},.a7xx={},};
static const struct fd_dev_info __info13 = {.chip=6,.gmem_align_w=16,.gmem_align_h=4,.tile_align_w=32,.tile_align_h=16,.tile_max_w=1024,.tile_max_h=1008,.num_vsc_pipes=32,.cs_shared_mem_size=32768,.num_sp_cores=2,.wave_granularity=2,.fibers_per_sp=4096,.num_ccu=2,.a6xx={.magic={.PC_POWER_CNTL=1,.TPL1_DBG_ECO_CNTL=83918848,.GRAS_DBG_ECO_CNTL=0,.SP_CHICKEN_BITS=5120,.UCHE_CLIENT_PF=132,.PC_MODE_CNTL=31,.SP_DBG_ECO_CNTL=6,.RB_DBG_ECO_CNTL=68157440,.RB_DBG_ECO_CNTL_blit=68157440,.HLSQ_DBG_ECO_CNTL=0,.RB_UNKNOWN_8E01=0,.VPC_DBG_ECO_CNTL=33554432,.UCHE_UNKNOWN_0E12=1,},.has_cp_reg_write=False,.has_8bpp_ubwc=False,.has_gmem_fast_clear=True,.has_hw_multiview=True,.has_fs_tex_prefetch=True,.has_sampler_minmax=True,.sysmem_per_ccu_cache_size=65536,.gmem_ccu_color_cache_fraction=2,.prim_alloc_threshold=7,.vs_max_inputs_count=32,.max_sets=5,.reg_size_vec4=64,.instr_cache_size=127,.supports_multiview_mask=True,.has_z24uint_s8uint=True,.tess_use_shared=True,.storage_16bit=True,.has_tex_filter_cubic=True,.has_separate_chroma_filter=True,.has_sample_locations=True,.has_lpac=True,.has_shading_rate=True,.has_getfiberid=True,.has_dp2acc=True,.has_dp4acc=True,.enable_lrz_fast_clear=True,.has_lrz_dir_tracking=True,.has_per_view_viewport=True,.supports_double_threadsize=True,},.a7xx={},};
static const struct fd_dev_info __info14 = {.chip=6,.gmem_align_w=16,.gmem_align_h=4,.tile_align_w=96,.tile_align_h=16,.tile_max_w=1024,.tile_max_h=1008,.num_vsc_pipes=32,.cs_shared_mem_size=32768,.num_sp_cores=3,.wave_granularity=2,.fibers_per_sp=4096,.num_ccu=3,.a6xx={.magic={.PC_POWER_CNTL=2,.TPL1_DBG_ECO_CNTL=83918848,.GRAS_DBG_ECO_CNTL=0,.SP_CHICKEN_BITS=5120,.UCHE_CLIENT_PF=132,.PC_MODE_CNTL=31,.SP_DBG_ECO_CNTL=16777216,.RB_DBG_ECO_CNTL=68157440,.RB_DBG_ECO_CNTL_blit=68157440,.HLSQ_DBG_ECO_CNTL=0,.RB_UNKNOWN_8E01=0,.VPC_DBG_ECO_CNTL=33554432,.UCHE_UNKNOWN_0E12=1,},.has_cp_reg_write=False,.has_8bpp_ubwc=False,.has_gmem_fast_clear=True,.has_hw_multiview=True,.has_fs_tex_prefetch=True,.has_sampler_minmax=True,.sysmem_per_ccu_cache_size=65536,.gmem_ccu_color_cache_fraction=2,.prim_alloc_threshold=7,.vs_max_inputs_count=32,.max_sets=5,.reg_size_vec4=64,.instr_cache_size=127,.supports_multiview_mask=True,.has_z24uint_s8uint=True,.tess_use_shared=True,.storage_16bit=True,.has_tex_filter_cubic=True,.has_separate_chroma_filter=True,.has_sample_locations=True,.has_lpac=True,.has_shading_rate=True,.has_getfiberid=True,.has_dp2acc=True,.has_dp4acc=True,.enable_lrz_fast_clear=True,.has_lrz_dir_tracking=True,.has_per_view_viewport=True,.supports_double_threadsize=True,},.a7xx={},};
static const struct fd_dev_info __info15 = {.chip=6,.gmem_align_w=16,.gmem_align_h=4,.tile_align_w=64,.tile_align_h=32,.tile_max_w=1024,.tile_max_h=1008,.num_vsc_pipes=32,.cs_shared_mem_size=32768,.num_sp_cores=8,.wave_granularity=2,.fibers_per_sp=4096,.num_ccu=8,.a6xx={.magic={.PC_POWER_CNTL=7,.TPL1_DBG_ECO_CNTL=16809984,.GRAS_DBG_ECO_CNTL=0,.SP_CHICKEN_BITS=5120,.UCHE_CLIENT_PF=132,.PC_MODE_CNTL=31,.SP_DBG_ECO_CNTL=0,.RB_DBG_ECO_CNTL=1048576,.RB_DBG_ECO_CNTL_blit=1048576,.HLSQ_DBG_ECO_CNTL=0,.RB_UNKNOWN_8E01=0,.VPC_DBG_ECO_CNTL=33554432,.UCHE_UNKNOWN_0E12=1,},.has_cp_reg_write=False,.has_8bpp_ubwc=False,.has_gmem_fast_clear=True,.has_hw_multiview=True,.has_fs_tex_prefetch=True,.has_sampler_minmax=True,.sysmem_per_ccu_cache_size=65536,.gmem_ccu_color_cache_fraction=2,.prim_alloc_threshold=7,.vs_max_inputs_count=32,.max_sets=5,.reg_size_vec4=64,.instr_cache_size=127,.supports_multiview_mask=True,.has_z24uint_s8uint=True,.tess_use_shared=True,.storage_16bit=True,.has_tex_filter_cubic=True,.has_separate_chroma_filter=True,.has_sample_locations=True,.has_lpac=True,.has_shading_rate=True,.has_getfiberid=True,.has_dp2acc=True,.has_dp4acc=True,.enable_lrz_fast_clear=True,.has_lrz_dir_tracking=True,.has_per_view_viewport=True,.supports_double_threadsize=True,},.a7xx={},};
static const struct fd_dev_info __info16 = {.chip=7,.gmem_align_w=16,.gmem_align_h=4,.tile_align_w=64,.tile_align_h=32,.tile_max_w=1024,.tile_max_h=1008,.num_vsc_pipes=32,.cs_shared_mem_size=32768,.num_sp_cores=4,.wave_granularity=2,.fibers_per_sp=4096,.num_ccu=4,.a6xx={.magic={.TPL1_DBG_ECO_CNTL=16777216,.GRAS_DBG_ECO_CNTL=2048,.SP_CHICKEN_BITS=5184,.UCHE_CLIENT_PF=132,.PC_MODE_CNTL=63,.SP_DBG_ECO_CNTL=268435456,.RB_DBG_ECO_CNTL=0,.RB_DBG_ECO_CNTL_blit=0,.RB_UNKNOWN_8E01=0,.VPC_DBG_ECO_CNTL=33554432,.UCHE_UNKNOWN_0E12=52428800,},.magic_raw={{3607, 8650756}, {46594, 1828}, {44552, 9216}, {44553, 0}, {44554, 0}, {3600, 0}, {3601, 64}, {44652, 32768}, {40448, 537395200}, {40484, 570195712}, {42496, 0}, {44550, 0}, {44650, 0}, {44651, 128}, {44659, 0}, {43778, 0}, {43777, 0}, {43810, 0}, {45840, 0}, {33056, 156305472}, {33057, 2658}},.has_cp_reg_write=False,.has_8bpp_ubwc=False,.has_gmem_fast_clear=True,.has_hw_multiview=True,.has_fs_tex_prefetch=True,.has_sampler_minmax=True,.sysmem_per_ccu_cache_size=65536,.gmem_ccu_color_cache_fraction=2,.prim_alloc_threshold=7,.vs_max_inputs_count=32,.max_sets=8,.reg_size_vec4=64,.instr_cache_size=127,.supports_multiview_mask=True,.has_z24uint_s8uint=True,.tess_use_shared=True,.storage_16bit=True,.has_tex_filter_cubic=True,.has_separate_chroma_filter=True,.has_sample_locations=True,.has_lpac=True,.has_shading_rate=True,.has_getfiberid=True,.has_dp2acc=True,.has_dp4acc=True,.enable_lrz_fast_clear=True,.has_lrz_dir_tracking=True,.has_per_view_viewport=True,.supports_double_threadsize=True,},.a7xx={},};
static const struct fd_dev_info __info17 = {.chip=7,.gmem_align_w=16,.gmem_align_h=4,.tile_align_w=64,.tile_align_h=32,.tile_max_w=1024,.tile_max_h=1008,.num_vsc_pipes=32,.cs_shared_mem_size=32768,.num_sp_cores=6,.wave_granularity=2,.fibers_per_sp=4096,.num_ccu=6,.a6xx={.magic={.TPL1_DBG_ECO_CNTL=286261248,.GRAS_DBG_ECO_CNTL=18432,.SP_CHICKEN_BITS=268440576,.UCHE_CLIENT_PF=132,.PC_MODE_CNTL=63,.SP_DBG_ECO_CNTL=268435456,.RB_DBG_ECO_CNTL=0,.RB_DBG_ECO_CNTL_blit=0,.RB_UNKNOWN_8E01=0,.VPC_DBG_ECO_CNTL=33554432,.UCHE_UNKNOWN_0E12=0,},.magic_raw={{3607, 262148}, {46594, 1828}, {44552, 1024}, {44553, 4392960}, {44554, 0}, {3600, 0}, {3601, 0}, {44652, 0}, {40448, 1048576}, {40484, 559437312}, {42496, 32768}, {44550, 0}, {44650, 0}, {44651, 128}, {44659, 0}, {43778, 0}, {43777, 0}, {43810, 0}, {45840, 0}, {33056, 156305472}, {33057, 2658}, {32777, 0}, {32778, 0}, {32779, 0}, {32780, 0}},.has_cp_reg_write=False,.has_8bpp_ubwc=False,.has_gmem_fast_clear=True,.has_hw_multiview=True,.has_fs_tex_prefetch=True,.has_sampler_minmax=True,.sysmem_per_ccu_cache_size=65536,.gmem_ccu_color_cache_fraction=2,.prim_alloc_threshold=7,.vs_max_inputs_count=32,.max_sets=8,.reg_size_vec4=64,.instr_cache_size=127,.supports_multiview_mask=True,.has_z24uint_s8uint=True,.tess_use_shared=True,.storage_16bit=True,.has_tex_filter_cubic=True,.has_separate_chroma_filter=True,.has_sample_locations=True,.has_lpac=True,.has_shading_rate=True,.has_getfiberid=True,.has_dp2acc=True,.has_dp4acc=True,.enable_lrz_fast_clear=True,.has_lrz_dir_tracking=True,.has_per_view_viewport=True,.supports_double_threadsize=True,},.a7xx={.stsc_duplication_quirk=True,},};

static const struct fd_dev_rec fd_dev_recs[] = {
   { {200, 0x20000ff}, "FD200", &__info0 },
   { {201, 0x20001ff}, "FD201", &__info0 },
   { {205, 0x20005ff}, "FD205", &__info0 },
   { {220, 0x20200ff}, "FD220", &__info0 },
   { {305, 0x30005ff}, "FD305", &__info1 },
   { {307, 0x30007ff}, "FD307", &__info1 },
   { {320, 0x30200ff}, "FD320", &__info1 },
   { {330, 0x30300ff}, "FD330", &__info1 },
   { {405, 0x40005ff}, "FD405", &__info2 },
   { {420, 0x40200ff}, "FD420", &__info2 },
   { {430, 0x40300ff}, "FD430", &__info2 },
   { {506, 0x50006ff}, "FD506", &__info3 },
   { {508, 0x50008ff}, "FD508", &__info3 },
   { {509, 0x50009ff}, "FD509", &__info3 },
   { {510, 0x50100ff}, "FD510", &__info4 },
   { {512, 0x50102ff}, "FD512", &__info4 },
   { {530, 0x50300ff}, "FD530", &__info5 },
   { {540, 0x50400ff}, "FD540", &__info5 },
   { {605, 0x60005ff}, "FD605", &__info6 },
   { {608, 0x60008ff}, "FD608", &__info6 },
   { {610, 0x60100ff}, "FD610", &__info6 },
   { {612, 0x60102ff}, "FD612", &__info6 },
   { {615, 0x60105ff}, "FD615", &__info7 },
   { {616, 0x60106ff}, "FD616", &__info7 },
   { {618, 0x60108ff}, "FD618", &__info7 },
   { {619, 0x60109ff}, "FD619", &__info7 },
   { {620, 0x60200ff}, "FD620", &__info8 },
   { {630, 0x60300ff}, "FD630", &__info9 },
   { {640, 0x60400ff}, "FD640", &__info10 },
   { {680, 0x60800ff}, "FD680", &__info11 },
   { {650, 0x60500ff}, "FD650", &__info12 },
   { {0, 0xbe06030500}, "Adreno 8c Gen 3", &__info13 },
   { {0, 0x7506030500}, "Adreno 7c+ Gen 3", &__info13 },
   { {0, 0x6006030500}, "Adreno 7c+ Gen 3 Lite", &__info13 },
   { {0, 0xac06030500}, "FD643", &__info13 },
   { {0, 0xffff06030500}, "Adreno 7c+ Gen 3", &__info13 },
   { {660, 0x60600ff}, "FD660", &__info14 },
   { {690, 0x60900ff}, "FD690", &__info15 },
   { {0, 0xffff06090000}, "FD690", &__info15 },
   { {0, 0x7030001}, "FD730", &__info16 },
   { {0, 0xffff07030001}, "FD730", &__info16 },
   { {740, 0x70400ff}, "FD740", &__info17 },
   { {0, 0x43050a01}, "FD740", &__info17 },
   { {0, 0xffff43050a01}, "FD740", &__info17 },
};

